## TplEvent TplEvent — Abstract representation of a log event |

## Functions

gint64 | tpl_event_get_timestamp ()
const gchar * | tpl_event_get_account_path ()
TpAccount * | tpl_event_get_account ()
TplEntity * | tpl_event_get_sender ()
TplEntity * | tpl_event_get_receiver ()
gboolean | tpl_event_equal ()

## Properties

TpAccount * | account | Read / Write / Construct Only
char * | account-path | Read
char * | channel-path | Read / Write / Construct Only
TplEntity * | receiver | Read / Write / Construct Only
TplEntity * | sender | Read / Write / Construct Only
gint64 | timestamp | Read / Write / Construct Only

## Types and Values

| TplEventPriv

## Object Hierarchy

        GObject
        ╰── TplEvent
            ├── TplCallEvent
            ╰── TplTextEvent

## Description

The TPLogger log event represents a generic log event, which will be specialized by subclasses of TplEvent.

## Functions

### tpl_event_get_timestamp ()

    gint64
    tpl_event_get_timestamp (TplEvent *self);

#### Parameters

self | a TplEvent |

#### Returns

the same timestamp as the “timestamp” property

### tpl_event_get_account_path ()

    const gchar *
    tpl_event_get_account_path (TplEvent *self);

#### Parameters

self | a TplEvent |

#### Returns

the path as the “account” property

### tpl_event_get_account ()

    TpAccount *
    tpl_event_get_account (TplEvent *self);

#### Parameters

self | a TplEvent |

#### Returns

the same account as the “account” property.

[transfer none]

### tpl_event_get_sender ()

    TplEntity *
    tpl_event_get_sender (TplEvent *self);

#### Parameters

self | a TplEvent |

#### Returns

the same TplEntity as the “sender” property.

[transfer none]

### tpl_event_get_receiver ()

    TplEntity *
    tpl_event_get_receiver (TplEvent *self);

#### Parameters

self | a TplEvent |

#### Returns

the same TplEntity as the “receiver” property.

[transfer none]

### tpl_event_equal ()

    gboolean
    tpl_event_equal (TplEvent *self,
                     TplEvent *data);

Checks if two instances of TplEvent represent the same data

#### Parameters

self | TplEvent subclass instance |
data | an instance of the same TplEvent subclass of `self` |

#### Returns

`TRUE` if `data` is the same type of `self` and they hold the same data, `FALSE` otherwise

## Types and Values

### TplEventPriv

    typedef struct _TplEventPriv TplEventPriv;

## Property Details

### The `“account”` property

      “account”                  TpAccount *

The TpAccount to which the log event is related.

Owner: TplEvent

Flags: Read / Write / Construct Only

### The `“account-path”` property

      “account-path”             char *

The account path of the TpAccount to which the log event is related.

Owner: TplEvent

Flags: Read

Default value: NULL

### The `“channel-path”` property

      “channel-path”             char *

The channel path of the TpChannel to which the log event is related.

Owner: TplEvent

Flags: Read / Write / Construct Only

Default value: NULL

### The `“receiver”` property

      “receiver”                 TplEntity *

TplEntity instance destination for the log event (may be NULL with some log stores).

Owner: TplEvent

Flags: Read / Write / Construct Only

### The `“sender”` property

      “sender”                   TplEntity *

TplEntity instance who originated the log event.

Owner: TplEvent

Flags: Read / Write / Construct Only

### The `“timestamp”` property

      “timestamp”                gint64

The timestamp (gint64) for the log event.

Owner: TplEvent

Flags: Read / Write / Construct Only

Default value: 0

## See Also

TplTextEvent and other subclasses when they'll exist